Subject: [Ianaplan] AD review of -02

From: Jari Arkko <[email-masked]>
Date: Mon, 10 Nov 2014 09:22:46 -1000

I have reviewed the latest draft version.

As the AD responsible for this group, I am expected to perform a review 
of the group’s documents before they are sent forward for an IETF Last Call. 
This review is that AD review, although, of course, I will have to review 
any changes that might go in between this draft version and the one that 
eventually is submitted from the working group. And I may also have opinions
on issues brought up in the group; looking forward to the productive discussions
in the meeting later today :-)

I think the proposal is in good shape, and I have no blocking comments.

But I had a number of comments, including some suggestions for textual improvements
and for edits that would in my view make the document more precise or more complete. 
But again, I have no blocking comments and none of my suggested changes are changes
in how we should operate.

My comments are divided in the substantial, observation, and editorial categories:

Substantial:

> The IETF is a global voluntary standards organization whose goal is
> to make the Internet work better [RFC3595].  IETF standards are
> published in the RFC series.  The IETF is responsible for the key
> standards that are used on the Internet today, including IP, TCP,
> DNS, BGP, and HTTP, to name but a few.

The above text is a bit imprecise with the voluntary nature. It is not just that the 
organisation is voluntary, but more importantly the specs are. Maybe “…. IETF
participants are volunteers. The IETF standards are published in the RFC series, 
and their use is also voluntary."

> Most disputes are handled at the lowest level through the working
> group and rough consensus processes.  Should anyone disagree with any
> action, Section 6.5 of [RFC2026] specifies a multi-level conflict
> resolution and appeals process that includes the responsible Area
> Director, the IESG, and the IAB.  Should appeals be upheld, an
> appropriate remedy is applied.  In the case where someone claims that
> the procedures themselves are insufficient or inadequate in some way
> to address a circumstance, one may appeal an IAB decision to the
> Internet Society Board of Trustees.
...
> IETF Response:
> 
> The Internet Architecture Board (IAB) is an oversight body of the
> IETF whose responsibilities include, among other things, confirming
> appointment of IESG members, managing appeals as discussed above,
> management of certain domains, including .ARPA [RFC3172], and general
> architectural guidance to the broader community.  The IAB must
> approve the appointment of an organization to act as IANA on behalf
> of the IETF.  The IAB is also responsible for establishing liaison
> relationships with other orgnaizations on behalf of the IETF.  The
> IAB's charter is to be found in [RFC2850].
> 
> The IAB members are selected and may be recalled through a Nominating
> Committee (NOMCOM) process, which is described in [RFC3777].  This
> process provides for selection of active members of the community who
> themselves agree upon a slate of candidates.  Those candidates are
> sent to the Internet Society Board of Trustees for confirmation.  In
> general, members serve for two years.  The IAB selects its own chair.
> 
> The IAB provides oversight of the protocol parameters registries of
> the IETF, and is responsible for selecting appropriate operator(s)
> and related per-registry arrangements.  Especially when relationships
> among protocols call for it, many registries are operated by, or in
> conjunction with, other bodies.  Unless the IAB or IETF has concluded
> that special treatment is needed, the operator for registries is
> currently ICANN

This is all good.

I’m wondering though if there is something missing. We have sometimes been
asked about what prevents IETF (or IAB) from being taken over. Now, I believe 
we have mechanisms that make such takeovers very hard, including for instance
our open process or the nomcom member limits from the same company. However, 
it would perhaps be useful to add something more explicitly to the response on it.

This is not a request for a substance change or a change in how we operate, but I
wanted to say that documenting a bit more of this aspect would perhaps make it 
easier for the readers to understand.

Maybe this change would be useful:

OLD:
This process provides for selection of active members of the community who
themselves agree upon a slate of candidates. Those candidates are
sent to the Internet Society Board of Trustees for confirmation. 

NEW:
This process provides for selection of active members of the community who
themselves agree upon a slate of candidates. The active members are
chosen randomly from volunteers with a history of participation in the IETF,
with limits regarding having too many active members with the same affiliation.
The selection of the active members is performed in a manner that makes
it possible for anyone to verify that the correct procedure was followed.
The slate of candidates selected by the active members are sent to the
Internet Society Board of Trustees for confirmation. 

> >>>
>    >>> "Maintain the security, stability, and resiliency of the
>    >>>  Internet DNS;"
>    >>>
> 
> 
>    IETF Response:
> 
>    The DNS relies on some of the IETF protocol parameters registries.
>    As the current IANA functions operator, ICANN performs its task very
>    well, usually exceeding the service level agreement metrics.[METRICS]
>    Security, stability, and resiliency of the Internet DNS is best
>    protected by maintaining the current service in its current form.

All true. But I do not think our transition response should be so much about ICANN 
performance _only_. It perhaps much more about the arrangement where we work 
together, and the division of roles. And *that* is what provides security and stability, 
because (a) it doesn’t have to be changed and (b) it provides structure for protecting 
against failures of various kinds, or at least recovery paths out of them.

Perhaps this point could be added.

Possible suggested text:

NEW:
“In addition, the separation of roles for different organisations, the agreements, and 
processes described elsewhere in this document ensure that there are mechanisms to
detect and deal with problems, should they arise."

> In accordance with
> these supplements, an annual review is performed to ensure that
> protocol parameter requests are being processed according to the
> established policies.

I would like to say something stronger. … starting from 2014, an annual audit is 
performed … The conclusions of this audit will be available for anyone in world.

Observations:

> 
> To address issues raised by the IETF community relating to
> intellectual property rights, the IAOC is asked to engage the
> appropriate parties, both inside and outside the IETF, to make clear
> that data in the protocol parameters registries is in the public
> domain.

I do not mind this text being in the draft, but I want to be on record that I believe
that it is already the case.

Editorial:

Section 1:

> As if to demonstrate the last point, the following text was included
> in a footnote in the original propsoal.
> 
> In this RFP, "IANA" refers to the functions currently specified in
> the agreement between NTIA and ICANN [http://www.ntia.doc.gov/page/
> iana-functions-purchase-order] as well as any other functions
> traditionally performed by the IANA functions operator.  SAC-067
> [https://www.icann.org/en/system/files/files/sac-067-en.pdf] provides
> one description of the many different meanings of the term "IANA" and
> may be useful reading in addition to the documents constituting the
> agreement itself.

It was not really clear why the above text is here. Put it in Appendix C, or if you 
think the links are useful background upfront, just reference them.

Section 2

> These parameters are used by implementers, who are the IETF's primary
> users of the IETF standards and other documents.  To ensure
> 

Maybe simplify text by saying … who are the primary users the IETF standards ….

> The IETF uses the
> IANA protocol parameters registries to store this information in a
> public location.

This is true. I wonder if we should describe the whole situation in a bit more 
verbose manner. The database indeed stores the parameters, though many 
parameters are also replicated in the RFCs themselves.

Suggestion: 

NEW:
Parameters needed in a specification published as an 
RFC are also listed in the RFCs themselves. But there are also parameters 
that the global implementor community can request for their use without being 
a part of a published specification.

> Memorandum of Understanding[RFC2860]

I’d prefer a reference style with a space before the opening bracket.

> o  The IETF specifies minimum requirements for root servers.  Should
>     those requirements change, we will inform ICANN.

That sounds very one sided. Is this as should be, or is this more of a situation 
where discussion would ensue?

(I am asking, not suggesting a change. If the above text describes reality, then
this text is of course fine.)

Perhaps the text could say something about how the root server community
would be expected to participate any discussion of changes, so coordination
should happen.

> Discussions during IETF 89 in London led to the following guiding
> principles for IAB efforts that impact IANA protocol parameter
> registries.  These principles must be taken together; their order is
> not significant.
> 
>    1.  …

This would perhaps flow better at the beginning, and then allow you to get to the 
nitty gritty agreement details after that.

Jari

---

From: Miles Fidelman <[email-masked]>
Date: Mon, 10 Nov 2014 14:35:42 -0500

Jari Arkko wrote:
> *Substantial:*

Is not "voluntary standards organization" a term of art?  ANSI, for 
example, is commonly referred to as a "voluntary standards organization" 
and NIST (and US law) defer to voluntary standards organizations.

In line with other standardization activities (e.g., ISO, IEEE for 
802.11), is not IETF the voluntary standards organization for Internet 
standards?

Miles Fidelman

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 10 Nov 2014 14:54:57 -0500

On Mon, Nov 10, 2014 at 02:35:42PM -0500, Miles Fidelman wrote:
> Is not "voluntary standards organization" a term of art?  ANSI, for example,
> is commonly referred to as a "voluntary standards organization" and NIST
> (and US law) defer to voluntary standards organizations.

National laws of various places only sometimes defer to voluntary
standards organizations, and it turns out that different countries
have a different meaning attached, so I don't think the "term of art"
description helps us.

Anyway, to capture what I think Jari meant (but I don't want to put
words in his mouth), the IETF is made up of volunteers _and_ the
standards it produces are used entirely voluntarily (so not,
e.g. generally embedded in national law).  These are different glosses
on the "voluntary", and I guess Jari is hoping that we try to expand
those differences in an effort to make it clear to people who are
perhaps not familiar with these different meanings.

I agree that if you already know something about standards, this
ambivalence of meaning is probably obvious to you.  

A

-- 
Andrew Sullivan
[email-masked]

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 11 Nov 2014 09:00:09 +1300

On 11/11/2014 08:35, Miles Fidelman wrote:
> Is not "voluntary standards organization" a term of art?  

Yes, and it means that using the standards is voluntary (i.e. they
are not legally enforced). Jari is adding information: that we
participate here as volunteers.

    Brian

ANSI, for
> _______________________________________________
> Ianaplan mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ianaplan
>

---

From: Eliot Lear <[email-masked]>
Date: Mon, 10 Nov 2014 11:45:16 -1000

Hi Jari,

I plan to address your comments verbally at the plenary as well, and
maybe we'll project your email, but please see below.

> and their use is also voluntary."

How about "The IETF is a global organization that produces voluntary
standards..."?  I do not think we want to rathole on whether
participants are volunteers.  That implies a certain altruism...

> Internet Society Board of Trustees for confirmation.

I like this.  Barring objection I propose to include it in the next
version because it does address a very real concern that some may have
about capture.

> detect and deal with problems, should they arise."

The next question would be "how?"  Do we want to address "how" as well?
> performed … The conclusions of this audit will be available for anyone

I have no objection to this text, and it also clarifies factually the
situation.
> *Observations:*

How about s/make clear/acknowledge/?

> *Editorial:*

I will process editorial separately, barring objections...

Eliot

---

From: Miles Fidelman <[email-masked]>
Date: Mon, 10 Nov 2014 17:46:00 -0500

> ambivalence of meaning is probably obvious to you.

I'm more concerned that by taking out the phrase, we lose specificity.  
IETF is, and acts as a voluntary standards organization as is generally 
recognized in the standards, regulatory, and contractual communities.  
It is the authoritative body when it comes to Internet protocol standards.

It's one thing to elaborate on the voluntary nature of participation.  
But let's not lose clarity about IETF's role in the greater scheme of 
things (that's just asking for ISO or ITU to step in).

Miles Fidelman